package edu.udo.cs.URLChecker;

import java.util.StringTokenizer;
import java.util.Vector;

/**
 * @author hakenjos
 * @version 1.0
 */
public class TagStringTokenizer extends StringTokenizer{


	private String string;
	private int index=0;
	private Vector tokens;

	/**
	 * Constructor for TagStringTokenizer.
	 */
	public TagStringTokenizer(String string) {
		super(string,"<");
		this.string=string;
		tokens=new Vector();	
		tokenizeString();
	}
	
	public boolean hasMoreTokens(){
		if (index<=tokens.size()-1)
			return true;
		return false;
	}

	public String nextToken(){
		return (String) tokens.get(index++);
	}
	
	private void tokenizeString(){
		StringTokenizer first,second,words;
		first=new StringTokenizer(string,"<");
		while (first.hasMoreTokens()){
			second=new StringTokenizer(first.nextToken(),">");

			//erster Token kann weggelassen werden
			//er gehoert zum Tag
			if (second.hasMoreElements())
				second.nextToken();

			while (second.hasMoreTokens()){
				words=new StringTokenizer(second.nextToken()," ");
				while (words.hasMoreTokens()){
					tokens.add(words.nextToken());
				}
			}
		}		
	}

}
