package edu.udo.cs.URLChecker;

import java.net.*;
import java.util.*;
import java.io.*;
/**
 *
 * @author  Daniel Hakenjos
 * @version 1.0
 */

public class WebSite {

    URL predecessor;
    URL siteURL;
    private boolean search,analyzed,extern;
    private int line,depth;

    /** Creates new WebSite */
    public WebSite(URL predecessor, URL thisURL, int line, int depth) {
        this.predecessor=predecessor;
        this.siteURL=thisURL;
        this.depth=depth;
        this.line=line;
        this.extern=false;
    }

    /** Creates new WebSite */
    public WebSite(URL predecessor, URL thisURL, int line, int depth, boolean extern) {
        this.predecessor=predecessor;
        this.siteURL=thisURL;
        this.depth=depth;
        this.line=line;
        this.extern=extern;
    }

    public URL getPredecessor(){
        return this.predecessor;
    }
    
    public URL getURL(){
        return this.siteURL;
    }
    
    public void setLine(int line){
    	this.line=line;
    }
    
    public boolean isExternal(){
    	return extern;
    }
    
    public String toString(){
        String back=""; 
        back+="Site: "+this.predecessor.toString()+"\n";
        back+="Line: "+this.line+"\n";
        back+="Error loading: "+this.siteURL.toString()+"\n";
        
        return back;
    }
    
    public int getDepth(){
		return depth;
    }
    
}

